# Makefile.in generated by automake 1.18.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2025 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@
VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
EXTRA_PROGRAMS = Test_GaugeAction$(EXEEXT) Test_RectPlaq$(EXEEXT) \
	Test_cf_coarsen_support$(EXEEXT) Test_checker$(EXEEXT) \
	Test_compact_wilson_clover_speedup$(EXEEXT) \
	Test_contfrac_even_odd$(EXEEXT) Test_cshift_red_black$(EXEEXT) \
	Test_cshift_red_black_rotate$(EXEEXT) \
	Test_cshift_rotate$(EXEEXT) Test_dwf_eofa_even_odd$(EXEEXT) \
	Test_dwf_even_odd$(EXEEXT) Test_fft$(EXEEXT) \
	Test_fft_gfix$(EXEEXT) Test_fft_pf$(EXEEXT) Test_fftf$(EXEEXT) \
	Test_gamma$(EXEEXT) Test_gparity$(EXEEXT) \
	Test_gparity_flavour$(EXEEXT) Test_gpwilson_even_odd$(EXEEXT) \
	Test_lie_generators$(EXEEXT) Test_main$(EXEEXT) \
	Test_memory_manager$(EXEEXT) \
	Test_mobius_eofa_even_odd$(EXEEXT) \
	Test_mobius_even_odd$(EXEEXT) Test_poisson_fft$(EXEEXT) \
	Test_prec_change$(EXEEXT) Test_qed$(EXEEXT) \
	Test_quenched_update$(EXEEXT) Test_reunitarise$(EXEEXT) \
	Test_rng$(EXEEXT) Test_rng_fixed$(EXEEXT) \
	Test_sliceSum$(EXEEXT) Test_staggered$(EXEEXT) \
	Test_staggered5D$(EXEEXT) Test_staggered5Dvec$(EXEEXT) \
	Test_staggered5DvecF$(EXEEXT) Test_staggered_naive$(EXEEXT) \
	Test_unary$(EXEEXT) Test_uvm$(EXEEXT) Test_where$(EXEEXT) \
	Test_where_extended$(EXEEXT) Test_wilson_clover$(EXEEXT) \
	Test_wilson_conserved_current$(EXEEXT) \
	Test_wilson_even_odd$(EXEEXT) Test_wilson_exp_clover$(EXEEXT) \
	Test_wilson_twisted_mass_even_odd$(EXEEXT) \
	Test_zmobius_even_odd$(EXEEXT)
subdir = tests/core
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_compiler_vendor.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
	$(top_srcdir)/m4/ax_gcc_option.m4 \
	$(top_srcdir)/m4/ax_gxx_version.m4 \
	$(top_srcdir)/m4/ax_prog_doxygen.m4 \
	$(top_srcdir)/m4/lx_find_mpi.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/Grid/Config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am_Test_GaugeAction_OBJECTS = Test_GaugeAction.$(OBJEXT)
Test_GaugeAction_OBJECTS = $(am_Test_GaugeAction_OBJECTS)
Test_GaugeAction_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_RectPlaq_OBJECTS = Test_RectPlaq.$(OBJEXT)
Test_RectPlaq_OBJECTS = $(am_Test_RectPlaq_OBJECTS)
Test_RectPlaq_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_cf_coarsen_support_OBJECTS =  \
	Test_cf_coarsen_support.$(OBJEXT)
Test_cf_coarsen_support_OBJECTS =  \
	$(am_Test_cf_coarsen_support_OBJECTS)
Test_cf_coarsen_support_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_checker_OBJECTS = Test_checker.$(OBJEXT)
Test_checker_OBJECTS = $(am_Test_checker_OBJECTS)
Test_checker_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_compact_wilson_clover_speedup_OBJECTS =  \
	Test_compact_wilson_clover_speedup.$(OBJEXT)
Test_compact_wilson_clover_speedup_OBJECTS =  \
	$(am_Test_compact_wilson_clover_speedup_OBJECTS)
Test_compact_wilson_clover_speedup_DEPENDENCIES =  \
	$(top_builddir)/Grid/libGrid.a
am_Test_contfrac_even_odd_OBJECTS = Test_contfrac_even_odd.$(OBJEXT)
Test_contfrac_even_odd_OBJECTS = $(am_Test_contfrac_even_odd_OBJECTS)
Test_contfrac_even_odd_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_cshift_red_black_OBJECTS = Test_cshift_red_black.$(OBJEXT)
Test_cshift_red_black_OBJECTS = $(am_Test_cshift_red_black_OBJECTS)
Test_cshift_red_black_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_cshift_red_black_rotate_OBJECTS =  \
	Test_cshift_red_black_rotate.$(OBJEXT)
Test_cshift_red_black_rotate_OBJECTS =  \
	$(am_Test_cshift_red_black_rotate_OBJECTS)
Test_cshift_red_black_rotate_DEPENDENCIES =  \
	$(top_builddir)/Grid/libGrid.a
am_Test_cshift_rotate_OBJECTS = Test_cshift_rotate.$(OBJEXT)
Test_cshift_rotate_OBJECTS = $(am_Test_cshift_rotate_OBJECTS)
Test_cshift_rotate_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_dwf_eofa_even_odd_OBJECTS = Test_dwf_eofa_even_odd.$(OBJEXT)
Test_dwf_eofa_even_odd_OBJECTS = $(am_Test_dwf_eofa_even_odd_OBJECTS)
Test_dwf_eofa_even_odd_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_dwf_even_odd_OBJECTS = Test_dwf_even_odd.$(OBJEXT)
Test_dwf_even_odd_OBJECTS = $(am_Test_dwf_even_odd_OBJECTS)
Test_dwf_even_odd_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_fft_OBJECTS = Test_fft.$(OBJEXT)
Test_fft_OBJECTS = $(am_Test_fft_OBJECTS)
Test_fft_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_fft_gfix_OBJECTS = Test_fft_gfix.$(OBJEXT)
Test_fft_gfix_OBJECTS = $(am_Test_fft_gfix_OBJECTS)
Test_fft_gfix_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_fft_pf_OBJECTS = Test_fft_pf.$(OBJEXT)
Test_fft_pf_OBJECTS = $(am_Test_fft_pf_OBJECTS)
Test_fft_pf_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_fftf_OBJECTS = Test_fftf.$(OBJEXT)
Test_fftf_OBJECTS = $(am_Test_fftf_OBJECTS)
Test_fftf_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_gamma_OBJECTS = Test_gamma.$(OBJEXT)
Test_gamma_OBJECTS = $(am_Test_gamma_OBJECTS)
Test_gamma_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_gparity_OBJECTS = Test_gparity.$(OBJEXT)
Test_gparity_OBJECTS = $(am_Test_gparity_OBJECTS)
Test_gparity_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_gparity_flavour_OBJECTS = Test_gparity_flavour.$(OBJEXT)
Test_gparity_flavour_OBJECTS = $(am_Test_gparity_flavour_OBJECTS)
Test_gparity_flavour_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_gpwilson_even_odd_OBJECTS = Test_gpwilson_even_odd.$(OBJEXT)
Test_gpwilson_even_odd_OBJECTS = $(am_Test_gpwilson_even_odd_OBJECTS)
Test_gpwilson_even_odd_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_lie_generators_OBJECTS = Test_lie_generators.$(OBJEXT)
Test_lie_generators_OBJECTS = $(am_Test_lie_generators_OBJECTS)
Test_lie_generators_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_main_OBJECTS = Test_main.$(OBJEXT)
Test_main_OBJECTS = $(am_Test_main_OBJECTS)
Test_main_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_memory_manager_OBJECTS = Test_memory_manager.$(OBJEXT)
Test_memory_manager_OBJECTS = $(am_Test_memory_manager_OBJECTS)
Test_memory_manager_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_mobius_eofa_even_odd_OBJECTS =  \
	Test_mobius_eofa_even_odd.$(OBJEXT)
Test_mobius_eofa_even_odd_OBJECTS =  \
	$(am_Test_mobius_eofa_even_odd_OBJECTS)
Test_mobius_eofa_even_odd_DEPENDENCIES =  \
	$(top_builddir)/Grid/libGrid.a
am_Test_mobius_even_odd_OBJECTS = Test_mobius_even_odd.$(OBJEXT)
Test_mobius_even_odd_OBJECTS = $(am_Test_mobius_even_odd_OBJECTS)
Test_mobius_even_odd_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_poisson_fft_OBJECTS = Test_poisson_fft.$(OBJEXT)
Test_poisson_fft_OBJECTS = $(am_Test_poisson_fft_OBJECTS)
Test_poisson_fft_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_prec_change_OBJECTS = Test_prec_change.$(OBJEXT)
Test_prec_change_OBJECTS = $(am_Test_prec_change_OBJECTS)
Test_prec_change_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_qed_OBJECTS = Test_qed.$(OBJEXT)
Test_qed_OBJECTS = $(am_Test_qed_OBJECTS)
Test_qed_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_quenched_update_OBJECTS = Test_quenched_update.$(OBJEXT)
Test_quenched_update_OBJECTS = $(am_Test_quenched_update_OBJECTS)
Test_quenched_update_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_reunitarise_OBJECTS = Test_reunitarise.$(OBJEXT)
Test_reunitarise_OBJECTS = $(am_Test_reunitarise_OBJECTS)
Test_reunitarise_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_rng_OBJECTS = Test_rng.$(OBJEXT)
Test_rng_OBJECTS = $(am_Test_rng_OBJECTS)
Test_rng_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_rng_fixed_OBJECTS = Test_rng_fixed.$(OBJEXT)
Test_rng_fixed_OBJECTS = $(am_Test_rng_fixed_OBJECTS)
Test_rng_fixed_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_sliceSum_OBJECTS = Test_sliceSum.$(OBJEXT)
Test_sliceSum_OBJECTS = $(am_Test_sliceSum_OBJECTS)
Test_sliceSum_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_staggered_OBJECTS = Test_staggered.$(OBJEXT)
Test_staggered_OBJECTS = $(am_Test_staggered_OBJECTS)
Test_staggered_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_staggered5D_OBJECTS = Test_staggered5D.$(OBJEXT)
Test_staggered5D_OBJECTS = $(am_Test_staggered5D_OBJECTS)
Test_staggered5D_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_staggered5Dvec_OBJECTS = Test_staggered5Dvec.$(OBJEXT)
Test_staggered5Dvec_OBJECTS = $(am_Test_staggered5Dvec_OBJECTS)
Test_staggered5Dvec_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_staggered5DvecF_OBJECTS = Test_staggered5DvecF.$(OBJEXT)
Test_staggered5DvecF_OBJECTS = $(am_Test_staggered5DvecF_OBJECTS)
Test_staggered5DvecF_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_staggered_naive_OBJECTS = Test_staggered_naive.$(OBJEXT)
Test_staggered_naive_OBJECTS = $(am_Test_staggered_naive_OBJECTS)
Test_staggered_naive_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_unary_OBJECTS = Test_unary.$(OBJEXT)
Test_unary_OBJECTS = $(am_Test_unary_OBJECTS)
Test_unary_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_uvm_OBJECTS = Test_uvm.$(OBJEXT)
Test_uvm_OBJECTS = $(am_Test_uvm_OBJECTS)
Test_uvm_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_where_OBJECTS = Test_where.$(OBJEXT)
Test_where_OBJECTS = $(am_Test_where_OBJECTS)
Test_where_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_where_extended_OBJECTS = Test_where_extended.$(OBJEXT)
Test_where_extended_OBJECTS = $(am_Test_where_extended_OBJECTS)
Test_where_extended_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_wilson_clover_OBJECTS = Test_wilson_clover.$(OBJEXT)
Test_wilson_clover_OBJECTS = $(am_Test_wilson_clover_OBJECTS)
Test_wilson_clover_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_wilson_conserved_current_OBJECTS =  \
	Test_wilson_conserved_current.$(OBJEXT)
Test_wilson_conserved_current_OBJECTS =  \
	$(am_Test_wilson_conserved_current_OBJECTS)
Test_wilson_conserved_current_DEPENDENCIES =  \
	$(top_builddir)/Grid/libGrid.a
am_Test_wilson_even_odd_OBJECTS = Test_wilson_even_odd.$(OBJEXT)
Test_wilson_even_odd_OBJECTS = $(am_Test_wilson_even_odd_OBJECTS)
Test_wilson_even_odd_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_wilson_exp_clover_OBJECTS = Test_wilson_exp_clover.$(OBJEXT)
Test_wilson_exp_clover_OBJECTS = $(am_Test_wilson_exp_clover_OBJECTS)
Test_wilson_exp_clover_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
am_Test_wilson_twisted_mass_even_odd_OBJECTS =  \
	Test_wilson_twisted_mass_even_odd.$(OBJEXT)
Test_wilson_twisted_mass_even_odd_OBJECTS =  \
	$(am_Test_wilson_twisted_mass_even_odd_OBJECTS)
Test_wilson_twisted_mass_even_odd_DEPENDENCIES =  \
	$(top_builddir)/Grid/libGrid.a
am_Test_zmobius_even_odd_OBJECTS = Test_zmobius_even_odd.$(OBJEXT)
Test_zmobius_even_odd_OBJECTS = $(am_Test_zmobius_even_odd_OBJECTS)
Test_zmobius_even_odd_DEPENDENCIES = $(top_builddir)/Grid/libGrid.a
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/Grid
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/Test_GaugeAction.Po \
	./$(DEPDIR)/Test_RectPlaq.Po \
	./$(DEPDIR)/Test_cf_coarsen_support.Po \
	./$(DEPDIR)/Test_checker.Po \
	./$(DEPDIR)/Test_compact_wilson_clover_speedup.Po \
	./$(DEPDIR)/Test_contfrac_even_odd.Po \
	./$(DEPDIR)/Test_cshift_red_black.Po \
	./$(DEPDIR)/Test_cshift_red_black_rotate.Po \
	./$(DEPDIR)/Test_cshift_rotate.Po \
	./$(DEPDIR)/Test_dwf_eofa_even_odd.Po \
	./$(DEPDIR)/Test_dwf_even_odd.Po ./$(DEPDIR)/Test_fft.Po \
	./$(DEPDIR)/Test_fft_gfix.Po ./$(DEPDIR)/Test_fft_pf.Po \
	./$(DEPDIR)/Test_fftf.Po ./$(DEPDIR)/Test_gamma.Po \
	./$(DEPDIR)/Test_gparity.Po \
	./$(DEPDIR)/Test_gparity_flavour.Po \
	./$(DEPDIR)/Test_gpwilson_even_odd.Po \
	./$(DEPDIR)/Test_lie_generators.Po ./$(DEPDIR)/Test_main.Po \
	./$(DEPDIR)/Test_memory_manager.Po \
	./$(DEPDIR)/Test_mobius_eofa_even_odd.Po \
	./$(DEPDIR)/Test_mobius_even_odd.Po \
	./$(DEPDIR)/Test_poisson_fft.Po \
	./$(DEPDIR)/Test_prec_change.Po ./$(DEPDIR)/Test_qed.Po \
	./$(DEPDIR)/Test_quenched_update.Po \
	./$(DEPDIR)/Test_reunitarise.Po ./$(DEPDIR)/Test_rng.Po \
	./$(DEPDIR)/Test_rng_fixed.Po ./$(DEPDIR)/Test_sliceSum.Po \
	./$(DEPDIR)/Test_staggered.Po ./$(DEPDIR)/Test_staggered5D.Po \
	./$(DEPDIR)/Test_staggered5Dvec.Po \
	./$(DEPDIR)/Test_staggered5DvecF.Po \
	./$(DEPDIR)/Test_staggered_naive.Po ./$(DEPDIR)/Test_unary.Po \
	./$(DEPDIR)/Test_uvm.Po ./$(DEPDIR)/Test_where.Po \
	./$(DEPDIR)/Test_where_extended.Po \
	./$(DEPDIR)/Test_wilson_clover.Po \
	./$(DEPDIR)/Test_wilson_conserved_current.Po \
	./$(DEPDIR)/Test_wilson_even_odd.Po \
	./$(DEPDIR)/Test_wilson_exp_clover.Po \
	./$(DEPDIR)/Test_wilson_twisted_mass_even_odd.Po \
	./$(DEPDIR)/Test_zmobius_even_odd.Po
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_@AM_V@)
am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(Test_GaugeAction_SOURCES) $(Test_RectPlaq_SOURCES) \
	$(Test_cf_coarsen_support_SOURCES) $(Test_checker_SOURCES) \
	$(Test_compact_wilson_clover_speedup_SOURCES) \
	$(Test_contfrac_even_odd_SOURCES) \
	$(Test_cshift_red_black_SOURCES) \
	$(Test_cshift_red_black_rotate_SOURCES) \
	$(Test_cshift_rotate_SOURCES) \
	$(Test_dwf_eofa_even_odd_SOURCES) $(Test_dwf_even_odd_SOURCES) \
	$(Test_fft_SOURCES) $(Test_fft_gfix_SOURCES) \
	$(Test_fft_pf_SOURCES) $(Test_fftf_SOURCES) \
	$(Test_gamma_SOURCES) $(Test_gparity_SOURCES) \
	$(Test_gparity_flavour_SOURCES) \
	$(Test_gpwilson_even_odd_SOURCES) \
	$(Test_lie_generators_SOURCES) $(Test_main_SOURCES) \
	$(Test_memory_manager_SOURCES) \
	$(Test_mobius_eofa_even_odd_SOURCES) \
	$(Test_mobius_even_odd_SOURCES) $(Test_poisson_fft_SOURCES) \
	$(Test_prec_change_SOURCES) $(Test_qed_SOURCES) \
	$(Test_quenched_update_SOURCES) $(Test_reunitarise_SOURCES) \
	$(Test_rng_SOURCES) $(Test_rng_fixed_SOURCES) \
	$(Test_sliceSum_SOURCES) $(Test_staggered_SOURCES) \
	$(Test_staggered5D_SOURCES) $(Test_staggered5Dvec_SOURCES) \
	$(Test_staggered5DvecF_SOURCES) \
	$(Test_staggered_naive_SOURCES) $(Test_unary_SOURCES) \
	$(Test_uvm_SOURCES) $(Test_where_SOURCES) \
	$(Test_where_extended_SOURCES) $(Test_wilson_clover_SOURCES) \
	$(Test_wilson_conserved_current_SOURCES) \
	$(Test_wilson_even_odd_SOURCES) \
	$(Test_wilson_exp_clover_SOURCES) \
	$(Test_wilson_twisted_mass_even_odd_SOURCES) \
	$(Test_zmobius_even_odd_SOURCES)
DIST_SOURCES = $(Test_GaugeAction_SOURCES) $(Test_RectPlaq_SOURCES) \
	$(Test_cf_coarsen_support_SOURCES) $(Test_checker_SOURCES) \
	$(Test_compact_wilson_clover_speedup_SOURCES) \
	$(Test_contfrac_even_odd_SOURCES) \
	$(Test_cshift_red_black_SOURCES) \
	$(Test_cshift_red_black_rotate_SOURCES) \
	$(Test_cshift_rotate_SOURCES) \
	$(Test_dwf_eofa_even_odd_SOURCES) $(Test_dwf_even_odd_SOURCES) \
	$(Test_fft_SOURCES) $(Test_fft_gfix_SOURCES) \
	$(Test_fft_pf_SOURCES) $(Test_fftf_SOURCES) \
	$(Test_gamma_SOURCES) $(Test_gparity_SOURCES) \
	$(Test_gparity_flavour_SOURCES) \
	$(Test_gpwilson_even_odd_SOURCES) \
	$(Test_lie_generators_SOURCES) $(Test_main_SOURCES) \
	$(Test_memory_manager_SOURCES) \
	$(Test_mobius_eofa_even_odd_SOURCES) \
	$(Test_mobius_even_odd_SOURCES) $(Test_poisson_fft_SOURCES) \
	$(Test_prec_change_SOURCES) $(Test_qed_SOURCES) \
	$(Test_quenched_update_SOURCES) $(Test_reunitarise_SOURCES) \
	$(Test_rng_SOURCES) $(Test_rng_fixed_SOURCES) \
	$(Test_sliceSum_SOURCES) $(Test_staggered_SOURCES) \
	$(Test_staggered5D_SOURCES) $(Test_staggered5Dvec_SOURCES) \
	$(Test_staggered5DvecF_SOURCES) \
	$(Test_staggered_naive_SOURCES) $(Test_unary_SOURCES) \
	$(Test_uvm_SOURCES) $(Test_where_SOURCES) \
	$(Test_where_extended_SOURCES) $(Test_wilson_clover_SOURCES) \
	$(Test_wilson_conserved_current_SOURCES) \
	$(Test_wilson_even_odd_SOURCES) \
	$(Test_wilson_exp_clover_SOURCES) \
	$(Test_wilson_twisted_mass_even_odd_SOURCES) \
	$(Test_zmobius_even_odd_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__extra_recursive_targets = tests-recursive bench-recursive
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Make.inc $(srcdir)/Makefile.in \
	$(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_CFLAGS = @AM_CFLAGS@
AM_CXXFLAGS = @AM_CXXFLAGS@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AM_LDFLAGS = @AM_LDFLAGS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPPFLAGS = @CPPFLAGS@
CSCOPE = @CSCOPE@
CTAGS = @CTAGS@
CXX = @CXX@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CXXLD = @CXXLD@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOXYGEN_PAPER_SIZE = @DOXYGEN_PAPER_SIZE@
DX_CONFIG = @DX_CONFIG@
DX_DOCDIR = @DX_DOCDIR@
DX_DOT = @DX_DOT@
DX_DOXYGEN = @DX_DOXYGEN@
DX_DVIPS = @DX_DVIPS@
DX_EGREP = @DX_EGREP@
DX_ENV = @DX_ENV@
DX_FLAG_chi = @DX_FLAG_chi@
DX_FLAG_chm = @DX_FLAG_chm@
DX_FLAG_doc = @DX_FLAG_doc@
DX_FLAG_dot = @DX_FLAG_dot@
DX_FLAG_html = @DX_FLAG_html@
DX_FLAG_man = @DX_FLAG_man@
DX_FLAG_pdf = @DX_FLAG_pdf@
DX_FLAG_ps = @DX_FLAG_ps@
DX_FLAG_rtf = @DX_FLAG_rtf@
DX_FLAG_xml = @DX_FLAG_xml@
DX_HHC = @DX_HHC@
DX_LATEX = @DX_LATEX@
DX_MAKEINDEX = @DX_MAKEINDEX@
DX_PDFLATEX = @DX_PDFLATEX@
DX_PERL = @DX_PERL@
DX_PROJECT = @DX_PROJECT@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
ETAGS = @ETAGS@
EXEEXT = @EXEEXT@
GRID_BRANCH = @GRID_BRANCH@
GRID_CXX = @GRID_CXX@
GRID_CXXFLAGS = @GRID_CXXFLAGS@
GRID_CXXLD = @GRID_CXXLD@
GRID_LDFLAGS = @GRID_LDFLAGS@
GRID_LIBS = @GRID_LIBS@
GRID_SHA = @GRID_SHA@
GXX_VERSION = @GXX_VERSION@
HAVE_CXX17 = @HAVE_CXX17@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
MPICXX = @MPICXX@
MPI_CXXFLAGS = @MPI_CXXFLAGS@
MPI_CXXLDFLAGS = @MPI_CXXLDFLAGS@
OBJEXT = @OBJEXT@
OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
RANLIB = @RANLIB@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__rm_f_notfound = @am__rm_f_notfound@
am__tar = @am__tar@
am__untar = @am__untar@
am__xargs_n = @am__xargs_n@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
Test_GaugeAction_SOURCES = Test_GaugeAction.cc
Test_GaugeAction_LDADD = $(top_builddir)/Grid/libGrid.a
Test_RectPlaq_SOURCES = Test_RectPlaq.cc
Test_RectPlaq_LDADD = $(top_builddir)/Grid/libGrid.a
Test_cf_coarsen_support_SOURCES = Test_cf_coarsen_support.cc
Test_cf_coarsen_support_LDADD = $(top_builddir)/Grid/libGrid.a
Test_checker_SOURCES = Test_checker.cc
Test_checker_LDADD = $(top_builddir)/Grid/libGrid.a
Test_compact_wilson_clover_speedup_SOURCES = Test_compact_wilson_clover_speedup.cc
Test_compact_wilson_clover_speedup_LDADD = $(top_builddir)/Grid/libGrid.a
Test_contfrac_even_odd_SOURCES = Test_contfrac_even_odd.cc
Test_contfrac_even_odd_LDADD = $(top_builddir)/Grid/libGrid.a
Test_cshift_red_black_SOURCES = Test_cshift_red_black.cc
Test_cshift_red_black_LDADD = $(top_builddir)/Grid/libGrid.a
Test_cshift_red_black_rotate_SOURCES = Test_cshift_red_black_rotate.cc
Test_cshift_red_black_rotate_LDADD = $(top_builddir)/Grid/libGrid.a
Test_cshift_rotate_SOURCES = Test_cshift_rotate.cc
Test_cshift_rotate_LDADD = $(top_builddir)/Grid/libGrid.a
Test_dwf_eofa_even_odd_SOURCES = Test_dwf_eofa_even_odd.cc
Test_dwf_eofa_even_odd_LDADD = $(top_builddir)/Grid/libGrid.a
Test_dwf_even_odd_SOURCES = Test_dwf_even_odd.cc
Test_dwf_even_odd_LDADD = $(top_builddir)/Grid/libGrid.a
Test_fft_SOURCES = Test_fft.cc
Test_fft_LDADD = $(top_builddir)/Grid/libGrid.a
Test_fft_gfix_SOURCES = Test_fft_gfix.cc
Test_fft_gfix_LDADD = $(top_builddir)/Grid/libGrid.a
Test_fft_pf_SOURCES = Test_fft_pf.cc
Test_fft_pf_LDADD = $(top_builddir)/Grid/libGrid.a
Test_fftf_SOURCES = Test_fftf.cc
Test_fftf_LDADD = $(top_builddir)/Grid/libGrid.a
Test_gamma_SOURCES = Test_gamma.cc
Test_gamma_LDADD = $(top_builddir)/Grid/libGrid.a
Test_gparity_SOURCES = Test_gparity.cc
Test_gparity_LDADD = $(top_builddir)/Grid/libGrid.a
Test_gparity_flavour_SOURCES = Test_gparity_flavour.cc
Test_gparity_flavour_LDADD = $(top_builddir)/Grid/libGrid.a
Test_gpwilson_even_odd_SOURCES = Test_gpwilson_even_odd.cc
Test_gpwilson_even_odd_LDADD = $(top_builddir)/Grid/libGrid.a
Test_lie_generators_SOURCES = Test_lie_generators.cc
Test_lie_generators_LDADD = $(top_builddir)/Grid/libGrid.a
Test_main_SOURCES = Test_main.cc
Test_main_LDADD = $(top_builddir)/Grid/libGrid.a
Test_memory_manager_SOURCES = Test_memory_manager.cc
Test_memory_manager_LDADD = $(top_builddir)/Grid/libGrid.a
Test_mobius_eofa_even_odd_SOURCES = Test_mobius_eofa_even_odd.cc
Test_mobius_eofa_even_odd_LDADD = $(top_builddir)/Grid/libGrid.a
Test_mobius_even_odd_SOURCES = Test_mobius_even_odd.cc
Test_mobius_even_odd_LDADD = $(top_builddir)/Grid/libGrid.a
Test_poisson_fft_SOURCES = Test_poisson_fft.cc
Test_poisson_fft_LDADD = $(top_builddir)/Grid/libGrid.a
Test_prec_change_SOURCES = Test_prec_change.cc
Test_prec_change_LDADD = $(top_builddir)/Grid/libGrid.a
Test_qed_SOURCES = Test_qed.cc
Test_qed_LDADD = $(top_builddir)/Grid/libGrid.a
Test_quenched_update_SOURCES = Test_quenched_update.cc
Test_quenched_update_LDADD = $(top_builddir)/Grid/libGrid.a
Test_reunitarise_SOURCES = Test_reunitarise.cc
Test_reunitarise_LDADD = $(top_builddir)/Grid/libGrid.a
Test_rng_SOURCES = Test_rng.cc
Test_rng_LDADD = $(top_builddir)/Grid/libGrid.a
Test_rng_fixed_SOURCES = Test_rng_fixed.cc
Test_rng_fixed_LDADD = $(top_builddir)/Grid/libGrid.a
Test_sliceSum_SOURCES = Test_sliceSum.cc
Test_sliceSum_LDADD = $(top_builddir)/Grid/libGrid.a
Test_staggered_SOURCES = Test_staggered.cc
Test_staggered_LDADD = $(top_builddir)/Grid/libGrid.a
Test_staggered5D_SOURCES = Test_staggered5D.cc
Test_staggered5D_LDADD = $(top_builddir)/Grid/libGrid.a
Test_staggered5Dvec_SOURCES = Test_staggered5Dvec.cc
Test_staggered5Dvec_LDADD = $(top_builddir)/Grid/libGrid.a
Test_staggered5DvecF_SOURCES = Test_staggered5DvecF.cc
Test_staggered5DvecF_LDADD = $(top_builddir)/Grid/libGrid.a
Test_staggered_naive_SOURCES = Test_staggered_naive.cc
Test_staggered_naive_LDADD = $(top_builddir)/Grid/libGrid.a
Test_unary_SOURCES = Test_unary.cc
Test_unary_LDADD = $(top_builddir)/Grid/libGrid.a
Test_uvm_SOURCES = Test_uvm.cc
Test_uvm_LDADD = $(top_builddir)/Grid/libGrid.a
Test_where_SOURCES = Test_where.cc
Test_where_LDADD = $(top_builddir)/Grid/libGrid.a
Test_where_extended_SOURCES = Test_where_extended.cc
Test_where_extended_LDADD = $(top_builddir)/Grid/libGrid.a
Test_wilson_clover_SOURCES = Test_wilson_clover.cc
Test_wilson_clover_LDADD = $(top_builddir)/Grid/libGrid.a
Test_wilson_conserved_current_SOURCES = Test_wilson_conserved_current.cc
Test_wilson_conserved_current_LDADD = $(top_builddir)/Grid/libGrid.a
Test_wilson_even_odd_SOURCES = Test_wilson_even_odd.cc
Test_wilson_even_odd_LDADD = $(top_builddir)/Grid/libGrid.a
Test_wilson_exp_clover_SOURCES = Test_wilson_exp_clover.cc
Test_wilson_exp_clover_LDADD = $(top_builddir)/Grid/libGrid.a
Test_wilson_twisted_mass_even_odd_SOURCES = Test_wilson_twisted_mass_even_odd.cc
Test_wilson_twisted_mass_even_odd_LDADD = $(top_builddir)/Grid/libGrid.a
Test_zmobius_even_odd_SOURCES = Test_zmobius_even_odd.cc
Test_zmobius_even_odd_LDADD = $(top_builddir)/Grid/libGrid.a
CLEANFILES = Test_GaugeAction Test_RectPlaq Test_cf_coarsen_support Test_checker Test_compact_wilson_clover_speedup Test_contfrac_even_odd Test_cshift_red_black Test_cshift_red_black_rotate Test_cshift_rotate Test_dwf_eofa_even_odd Test_dwf_even_odd Test_fft Test_fft_gfix Test_fft_pf Test_fftf Test_gamma Test_gparity Test_gparity_flavour Test_gpwilson_even_odd Test_lie_generators Test_main Test_memory_manager Test_mobius_eofa_even_odd Test_mobius_even_odd Test_poisson_fft Test_prec_change Test_qed Test_quenched_update Test_reunitarise Test_rng Test_rng_fixed Test_sliceSum Test_staggered Test_staggered5D Test_staggered5Dvec Test_staggered5DvecF Test_staggered_naive Test_unary Test_uvm Test_where Test_where_extended Test_wilson_clover Test_wilson_conserved_current Test_wilson_even_odd Test_wilson_exp_clover Test_wilson_twisted_mass_even_odd Test_zmobius_even_odd
all: all-am

.SUFFIXES:
.SUFFIXES: .cc .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Make.inc $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/core/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tests/core/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;
$(srcdir)/Make.inc $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

Test_GaugeAction$(EXEEXT): $(Test_GaugeAction_OBJECTS) $(Test_GaugeAction_DEPENDENCIES) $(EXTRA_Test_GaugeAction_DEPENDENCIES) 
	@rm -f Test_GaugeAction$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_GaugeAction_OBJECTS) $(Test_GaugeAction_LDADD) $(LIBS)

Test_RectPlaq$(EXEEXT): $(Test_RectPlaq_OBJECTS) $(Test_RectPlaq_DEPENDENCIES) $(EXTRA_Test_RectPlaq_DEPENDENCIES) 
	@rm -f Test_RectPlaq$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_RectPlaq_OBJECTS) $(Test_RectPlaq_LDADD) $(LIBS)

Test_cf_coarsen_support$(EXEEXT): $(Test_cf_coarsen_support_OBJECTS) $(Test_cf_coarsen_support_DEPENDENCIES) $(EXTRA_Test_cf_coarsen_support_DEPENDENCIES) 
	@rm -f Test_cf_coarsen_support$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_cf_coarsen_support_OBJECTS) $(Test_cf_coarsen_support_LDADD) $(LIBS)

Test_checker$(EXEEXT): $(Test_checker_OBJECTS) $(Test_checker_DEPENDENCIES) $(EXTRA_Test_checker_DEPENDENCIES) 
	@rm -f Test_checker$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_checker_OBJECTS) $(Test_checker_LDADD) $(LIBS)

Test_compact_wilson_clover_speedup$(EXEEXT): $(Test_compact_wilson_clover_speedup_OBJECTS) $(Test_compact_wilson_clover_speedup_DEPENDENCIES) $(EXTRA_Test_compact_wilson_clover_speedup_DEPENDENCIES) 
	@rm -f Test_compact_wilson_clover_speedup$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_compact_wilson_clover_speedup_OBJECTS) $(Test_compact_wilson_clover_speedup_LDADD) $(LIBS)

Test_contfrac_even_odd$(EXEEXT): $(Test_contfrac_even_odd_OBJECTS) $(Test_contfrac_even_odd_DEPENDENCIES) $(EXTRA_Test_contfrac_even_odd_DEPENDENCIES) 
	@rm -f Test_contfrac_even_odd$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_contfrac_even_odd_OBJECTS) $(Test_contfrac_even_odd_LDADD) $(LIBS)

Test_cshift_red_black$(EXEEXT): $(Test_cshift_red_black_OBJECTS) $(Test_cshift_red_black_DEPENDENCIES) $(EXTRA_Test_cshift_red_black_DEPENDENCIES) 
	@rm -f Test_cshift_red_black$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_cshift_red_black_OBJECTS) $(Test_cshift_red_black_LDADD) $(LIBS)

Test_cshift_red_black_rotate$(EXEEXT): $(Test_cshift_red_black_rotate_OBJECTS) $(Test_cshift_red_black_rotate_DEPENDENCIES) $(EXTRA_Test_cshift_red_black_rotate_DEPENDENCIES) 
	@rm -f Test_cshift_red_black_rotate$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_cshift_red_black_rotate_OBJECTS) $(Test_cshift_red_black_rotate_LDADD) $(LIBS)

Test_cshift_rotate$(EXEEXT): $(Test_cshift_rotate_OBJECTS) $(Test_cshift_rotate_DEPENDENCIES) $(EXTRA_Test_cshift_rotate_DEPENDENCIES) 
	@rm -f Test_cshift_rotate$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_cshift_rotate_OBJECTS) $(Test_cshift_rotate_LDADD) $(LIBS)

Test_dwf_eofa_even_odd$(EXEEXT): $(Test_dwf_eofa_even_odd_OBJECTS) $(Test_dwf_eofa_even_odd_DEPENDENCIES) $(EXTRA_Test_dwf_eofa_even_odd_DEPENDENCIES) 
	@rm -f Test_dwf_eofa_even_odd$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_dwf_eofa_even_odd_OBJECTS) $(Test_dwf_eofa_even_odd_LDADD) $(LIBS)

Test_dwf_even_odd$(EXEEXT): $(Test_dwf_even_odd_OBJECTS) $(Test_dwf_even_odd_DEPENDENCIES) $(EXTRA_Test_dwf_even_odd_DEPENDENCIES) 
	@rm -f Test_dwf_even_odd$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_dwf_even_odd_OBJECTS) $(Test_dwf_even_odd_LDADD) $(LIBS)

Test_fft$(EXEEXT): $(Test_fft_OBJECTS) $(Test_fft_DEPENDENCIES) $(EXTRA_Test_fft_DEPENDENCIES) 
	@rm -f Test_fft$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_fft_OBJECTS) $(Test_fft_LDADD) $(LIBS)

Test_fft_gfix$(EXEEXT): $(Test_fft_gfix_OBJECTS) $(Test_fft_gfix_DEPENDENCIES) $(EXTRA_Test_fft_gfix_DEPENDENCIES) 
	@rm -f Test_fft_gfix$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_fft_gfix_OBJECTS) $(Test_fft_gfix_LDADD) $(LIBS)

Test_fft_pf$(EXEEXT): $(Test_fft_pf_OBJECTS) $(Test_fft_pf_DEPENDENCIES) $(EXTRA_Test_fft_pf_DEPENDENCIES) 
	@rm -f Test_fft_pf$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_fft_pf_OBJECTS) $(Test_fft_pf_LDADD) $(LIBS)

Test_fftf$(EXEEXT): $(Test_fftf_OBJECTS) $(Test_fftf_DEPENDENCIES) $(EXTRA_Test_fftf_DEPENDENCIES) 
	@rm -f Test_fftf$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_fftf_OBJECTS) $(Test_fftf_LDADD) $(LIBS)

Test_gamma$(EXEEXT): $(Test_gamma_OBJECTS) $(Test_gamma_DEPENDENCIES) $(EXTRA_Test_gamma_DEPENDENCIES) 
	@rm -f Test_gamma$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_gamma_OBJECTS) $(Test_gamma_LDADD) $(LIBS)

Test_gparity$(EXEEXT): $(Test_gparity_OBJECTS) $(Test_gparity_DEPENDENCIES) $(EXTRA_Test_gparity_DEPENDENCIES) 
	@rm -f Test_gparity$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_gparity_OBJECTS) $(Test_gparity_LDADD) $(LIBS)

Test_gparity_flavour$(EXEEXT): $(Test_gparity_flavour_OBJECTS) $(Test_gparity_flavour_DEPENDENCIES) $(EXTRA_Test_gparity_flavour_DEPENDENCIES) 
	@rm -f Test_gparity_flavour$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_gparity_flavour_OBJECTS) $(Test_gparity_flavour_LDADD) $(LIBS)

Test_gpwilson_even_odd$(EXEEXT): $(Test_gpwilson_even_odd_OBJECTS) $(Test_gpwilson_even_odd_DEPENDENCIES) $(EXTRA_Test_gpwilson_even_odd_DEPENDENCIES) 
	@rm -f Test_gpwilson_even_odd$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_gpwilson_even_odd_OBJECTS) $(Test_gpwilson_even_odd_LDADD) $(LIBS)

Test_lie_generators$(EXEEXT): $(Test_lie_generators_OBJECTS) $(Test_lie_generators_DEPENDENCIES) $(EXTRA_Test_lie_generators_DEPENDENCIES) 
	@rm -f Test_lie_generators$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_lie_generators_OBJECTS) $(Test_lie_generators_LDADD) $(LIBS)

Test_main$(EXEEXT): $(Test_main_OBJECTS) $(Test_main_DEPENDENCIES) $(EXTRA_Test_main_DEPENDENCIES) 
	@rm -f Test_main$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_main_OBJECTS) $(Test_main_LDADD) $(LIBS)

Test_memory_manager$(EXEEXT): $(Test_memory_manager_OBJECTS) $(Test_memory_manager_DEPENDENCIES) $(EXTRA_Test_memory_manager_DEPENDENCIES) 
	@rm -f Test_memory_manager$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_memory_manager_OBJECTS) $(Test_memory_manager_LDADD) $(LIBS)

Test_mobius_eofa_even_odd$(EXEEXT): $(Test_mobius_eofa_even_odd_OBJECTS) $(Test_mobius_eofa_even_odd_DEPENDENCIES) $(EXTRA_Test_mobius_eofa_even_odd_DEPENDENCIES) 
	@rm -f Test_mobius_eofa_even_odd$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_mobius_eofa_even_odd_OBJECTS) $(Test_mobius_eofa_even_odd_LDADD) $(LIBS)

Test_mobius_even_odd$(EXEEXT): $(Test_mobius_even_odd_OBJECTS) $(Test_mobius_even_odd_DEPENDENCIES) $(EXTRA_Test_mobius_even_odd_DEPENDENCIES) 
	@rm -f Test_mobius_even_odd$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_mobius_even_odd_OBJECTS) $(Test_mobius_even_odd_LDADD) $(LIBS)

Test_poisson_fft$(EXEEXT): $(Test_poisson_fft_OBJECTS) $(Test_poisson_fft_DEPENDENCIES) $(EXTRA_Test_poisson_fft_DEPENDENCIES) 
	@rm -f Test_poisson_fft$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_poisson_fft_OBJECTS) $(Test_poisson_fft_LDADD) $(LIBS)

Test_prec_change$(EXEEXT): $(Test_prec_change_OBJECTS) $(Test_prec_change_DEPENDENCIES) $(EXTRA_Test_prec_change_DEPENDENCIES) 
	@rm -f Test_prec_change$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_prec_change_OBJECTS) $(Test_prec_change_LDADD) $(LIBS)

Test_qed$(EXEEXT): $(Test_qed_OBJECTS) $(Test_qed_DEPENDENCIES) $(EXTRA_Test_qed_DEPENDENCIES) 
	@rm -f Test_qed$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_qed_OBJECTS) $(Test_qed_LDADD) $(LIBS)

Test_quenched_update$(EXEEXT): $(Test_quenched_update_OBJECTS) $(Test_quenched_update_DEPENDENCIES) $(EXTRA_Test_quenched_update_DEPENDENCIES) 
	@rm -f Test_quenched_update$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_quenched_update_OBJECTS) $(Test_quenched_update_LDADD) $(LIBS)

Test_reunitarise$(EXEEXT): $(Test_reunitarise_OBJECTS) $(Test_reunitarise_DEPENDENCIES) $(EXTRA_Test_reunitarise_DEPENDENCIES) 
	@rm -f Test_reunitarise$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_reunitarise_OBJECTS) $(Test_reunitarise_LDADD) $(LIBS)

Test_rng$(EXEEXT): $(Test_rng_OBJECTS) $(Test_rng_DEPENDENCIES) $(EXTRA_Test_rng_DEPENDENCIES) 
	@rm -f Test_rng$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_rng_OBJECTS) $(Test_rng_LDADD) $(LIBS)

Test_rng_fixed$(EXEEXT): $(Test_rng_fixed_OBJECTS) $(Test_rng_fixed_DEPENDENCIES) $(EXTRA_Test_rng_fixed_DEPENDENCIES) 
	@rm -f Test_rng_fixed$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_rng_fixed_OBJECTS) $(Test_rng_fixed_LDADD) $(LIBS)

Test_sliceSum$(EXEEXT): $(Test_sliceSum_OBJECTS) $(Test_sliceSum_DEPENDENCIES) $(EXTRA_Test_sliceSum_DEPENDENCIES) 
	@rm -f Test_sliceSum$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_sliceSum_OBJECTS) $(Test_sliceSum_LDADD) $(LIBS)

Test_staggered$(EXEEXT): $(Test_staggered_OBJECTS) $(Test_staggered_DEPENDENCIES) $(EXTRA_Test_staggered_DEPENDENCIES) 
	@rm -f Test_staggered$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_staggered_OBJECTS) $(Test_staggered_LDADD) $(LIBS)

Test_staggered5D$(EXEEXT): $(Test_staggered5D_OBJECTS) $(Test_staggered5D_DEPENDENCIES) $(EXTRA_Test_staggered5D_DEPENDENCIES) 
	@rm -f Test_staggered5D$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_staggered5D_OBJECTS) $(Test_staggered5D_LDADD) $(LIBS)

Test_staggered5Dvec$(EXEEXT): $(Test_staggered5Dvec_OBJECTS) $(Test_staggered5Dvec_DEPENDENCIES) $(EXTRA_Test_staggered5Dvec_DEPENDENCIES) 
	@rm -f Test_staggered5Dvec$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_staggered5Dvec_OBJECTS) $(Test_staggered5Dvec_LDADD) $(LIBS)

Test_staggered5DvecF$(EXEEXT): $(Test_staggered5DvecF_OBJECTS) $(Test_staggered5DvecF_DEPENDENCIES) $(EXTRA_Test_staggered5DvecF_DEPENDENCIES) 
	@rm -f Test_staggered5DvecF$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_staggered5DvecF_OBJECTS) $(Test_staggered5DvecF_LDADD) $(LIBS)

Test_staggered_naive$(EXEEXT): $(Test_staggered_naive_OBJECTS) $(Test_staggered_naive_DEPENDENCIES) $(EXTRA_Test_staggered_naive_DEPENDENCIES) 
	@rm -f Test_staggered_naive$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_staggered_naive_OBJECTS) $(Test_staggered_naive_LDADD) $(LIBS)

Test_unary$(EXEEXT): $(Test_unary_OBJECTS) $(Test_unary_DEPENDENCIES) $(EXTRA_Test_unary_DEPENDENCIES) 
	@rm -f Test_unary$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_unary_OBJECTS) $(Test_unary_LDADD) $(LIBS)

Test_uvm$(EXEEXT): $(Test_uvm_OBJECTS) $(Test_uvm_DEPENDENCIES) $(EXTRA_Test_uvm_DEPENDENCIES) 
	@rm -f Test_uvm$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_uvm_OBJECTS) $(Test_uvm_LDADD) $(LIBS)

Test_where$(EXEEXT): $(Test_where_OBJECTS) $(Test_where_DEPENDENCIES) $(EXTRA_Test_where_DEPENDENCIES) 
	@rm -f Test_where$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_where_OBJECTS) $(Test_where_LDADD) $(LIBS)

Test_where_extended$(EXEEXT): $(Test_where_extended_OBJECTS) $(Test_where_extended_DEPENDENCIES) $(EXTRA_Test_where_extended_DEPENDENCIES) 
	@rm -f Test_where_extended$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_where_extended_OBJECTS) $(Test_where_extended_LDADD) $(LIBS)

Test_wilson_clover$(EXEEXT): $(Test_wilson_clover_OBJECTS) $(Test_wilson_clover_DEPENDENCIES) $(EXTRA_Test_wilson_clover_DEPENDENCIES) 
	@rm -f Test_wilson_clover$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_wilson_clover_OBJECTS) $(Test_wilson_clover_LDADD) $(LIBS)

Test_wilson_conserved_current$(EXEEXT): $(Test_wilson_conserved_current_OBJECTS) $(Test_wilson_conserved_current_DEPENDENCIES) $(EXTRA_Test_wilson_conserved_current_DEPENDENCIES) 
	@rm -f Test_wilson_conserved_current$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_wilson_conserved_current_OBJECTS) $(Test_wilson_conserved_current_LDADD) $(LIBS)

Test_wilson_even_odd$(EXEEXT): $(Test_wilson_even_odd_OBJECTS) $(Test_wilson_even_odd_DEPENDENCIES) $(EXTRA_Test_wilson_even_odd_DEPENDENCIES) 
	@rm -f Test_wilson_even_odd$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_wilson_even_odd_OBJECTS) $(Test_wilson_even_odd_LDADD) $(LIBS)

Test_wilson_exp_clover$(EXEEXT): $(Test_wilson_exp_clover_OBJECTS) $(Test_wilson_exp_clover_DEPENDENCIES) $(EXTRA_Test_wilson_exp_clover_DEPENDENCIES) 
	@rm -f Test_wilson_exp_clover$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_wilson_exp_clover_OBJECTS) $(Test_wilson_exp_clover_LDADD) $(LIBS)

Test_wilson_twisted_mass_even_odd$(EXEEXT): $(Test_wilson_twisted_mass_even_odd_OBJECTS) $(Test_wilson_twisted_mass_even_odd_DEPENDENCIES) $(EXTRA_Test_wilson_twisted_mass_even_odd_DEPENDENCIES) 
	@rm -f Test_wilson_twisted_mass_even_odd$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_wilson_twisted_mass_even_odd_OBJECTS) $(Test_wilson_twisted_mass_even_odd_LDADD) $(LIBS)

Test_zmobius_even_odd$(EXEEXT): $(Test_zmobius_even_odd_OBJECTS) $(Test_zmobius_even_odd_DEPENDENCIES) $(EXTRA_Test_zmobius_even_odd_DEPENDENCIES) 
	@rm -f Test_zmobius_even_odd$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(Test_zmobius_even_odd_OBJECTS) $(Test_zmobius_even_odd_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_GaugeAction.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_RectPlaq.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_cf_coarsen_support.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_checker.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_compact_wilson_clover_speedup.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_contfrac_even_odd.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_cshift_red_black.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_cshift_red_black_rotate.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_cshift_rotate.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_dwf_eofa_even_odd.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_dwf_even_odd.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_fft.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_fft_gfix.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_fft_pf.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_fftf.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_gamma.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_gparity.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_gparity_flavour.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_gpwilson_even_odd.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_lie_generators.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_main.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_memory_manager.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_mobius_eofa_even_odd.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_mobius_even_odd.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_poisson_fft.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_prec_change.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_qed.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_quenched_update.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_reunitarise.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_rng.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_rng_fixed.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_sliceSum.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_staggered.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_staggered5D.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_staggered5Dvec.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_staggered5DvecF.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_staggered_naive.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_unary.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_uvm.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_where.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_where_extended.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_wilson_clover.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_wilson_conserved_current.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_wilson_even_odd.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_wilson_exp_clover.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_wilson_twisted_mass_even_odd.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Test_zmobius_even_odd.Po@am__quote@ # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@: >>$@

am--depfiles: $(am__depfiles_remade)

.cc.o:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<

.cc.obj:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
tests-local: 
bench-local: 

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-$(am__rm_f) $(CLEANFILES)

distclean-generic:
	-$(am__rm_f) $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || $(am__rm_f) $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
bench: bench-am

bench-am: bench-local

clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f ./$(DEPDIR)/Test_GaugeAction.Po
	-rm -f ./$(DEPDIR)/Test_RectPlaq.Po
	-rm -f ./$(DEPDIR)/Test_cf_coarsen_support.Po
	-rm -f ./$(DEPDIR)/Test_checker.Po
	-rm -f ./$(DEPDIR)/Test_compact_wilson_clover_speedup.Po
	-rm -f ./$(DEPDIR)/Test_contfrac_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_cshift_red_black.Po
	-rm -f ./$(DEPDIR)/Test_cshift_red_black_rotate.Po
	-rm -f ./$(DEPDIR)/Test_cshift_rotate.Po
	-rm -f ./$(DEPDIR)/Test_dwf_eofa_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_dwf_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_fft.Po
	-rm -f ./$(DEPDIR)/Test_fft_gfix.Po
	-rm -f ./$(DEPDIR)/Test_fft_pf.Po
	-rm -f ./$(DEPDIR)/Test_fftf.Po
	-rm -f ./$(DEPDIR)/Test_gamma.Po
	-rm -f ./$(DEPDIR)/Test_gparity.Po
	-rm -f ./$(DEPDIR)/Test_gparity_flavour.Po
	-rm -f ./$(DEPDIR)/Test_gpwilson_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_lie_generators.Po
	-rm -f ./$(DEPDIR)/Test_main.Po
	-rm -f ./$(DEPDIR)/Test_memory_manager.Po
	-rm -f ./$(DEPDIR)/Test_mobius_eofa_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_mobius_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_poisson_fft.Po
	-rm -f ./$(DEPDIR)/Test_prec_change.Po
	-rm -f ./$(DEPDIR)/Test_qed.Po
	-rm -f ./$(DEPDIR)/Test_quenched_update.Po
	-rm -f ./$(DEPDIR)/Test_reunitarise.Po
	-rm -f ./$(DEPDIR)/Test_rng.Po
	-rm -f ./$(DEPDIR)/Test_rng_fixed.Po
	-rm -f ./$(DEPDIR)/Test_sliceSum.Po
	-rm -f ./$(DEPDIR)/Test_staggered.Po
	-rm -f ./$(DEPDIR)/Test_staggered5D.Po
	-rm -f ./$(DEPDIR)/Test_staggered5Dvec.Po
	-rm -f ./$(DEPDIR)/Test_staggered5DvecF.Po
	-rm -f ./$(DEPDIR)/Test_staggered_naive.Po
	-rm -f ./$(DEPDIR)/Test_unary.Po
	-rm -f ./$(DEPDIR)/Test_uvm.Po
	-rm -f ./$(DEPDIR)/Test_where.Po
	-rm -f ./$(DEPDIR)/Test_where_extended.Po
	-rm -f ./$(DEPDIR)/Test_wilson_clover.Po
	-rm -f ./$(DEPDIR)/Test_wilson_conserved_current.Po
	-rm -f ./$(DEPDIR)/Test_wilson_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_wilson_exp_clover.Po
	-rm -f ./$(DEPDIR)/Test_wilson_twisted_mass_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_zmobius_even_odd.Po
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f ./$(DEPDIR)/Test_GaugeAction.Po
	-rm -f ./$(DEPDIR)/Test_RectPlaq.Po
	-rm -f ./$(DEPDIR)/Test_cf_coarsen_support.Po
	-rm -f ./$(DEPDIR)/Test_checker.Po
	-rm -f ./$(DEPDIR)/Test_compact_wilson_clover_speedup.Po
	-rm -f ./$(DEPDIR)/Test_contfrac_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_cshift_red_black.Po
	-rm -f ./$(DEPDIR)/Test_cshift_red_black_rotate.Po
	-rm -f ./$(DEPDIR)/Test_cshift_rotate.Po
	-rm -f ./$(DEPDIR)/Test_dwf_eofa_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_dwf_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_fft.Po
	-rm -f ./$(DEPDIR)/Test_fft_gfix.Po
	-rm -f ./$(DEPDIR)/Test_fft_pf.Po
	-rm -f ./$(DEPDIR)/Test_fftf.Po
	-rm -f ./$(DEPDIR)/Test_gamma.Po
	-rm -f ./$(DEPDIR)/Test_gparity.Po
	-rm -f ./$(DEPDIR)/Test_gparity_flavour.Po
	-rm -f ./$(DEPDIR)/Test_gpwilson_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_lie_generators.Po
	-rm -f ./$(DEPDIR)/Test_main.Po
	-rm -f ./$(DEPDIR)/Test_memory_manager.Po
	-rm -f ./$(DEPDIR)/Test_mobius_eofa_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_mobius_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_poisson_fft.Po
	-rm -f ./$(DEPDIR)/Test_prec_change.Po
	-rm -f ./$(DEPDIR)/Test_qed.Po
	-rm -f ./$(DEPDIR)/Test_quenched_update.Po
	-rm -f ./$(DEPDIR)/Test_reunitarise.Po
	-rm -f ./$(DEPDIR)/Test_rng.Po
	-rm -f ./$(DEPDIR)/Test_rng_fixed.Po
	-rm -f ./$(DEPDIR)/Test_sliceSum.Po
	-rm -f ./$(DEPDIR)/Test_staggered.Po
	-rm -f ./$(DEPDIR)/Test_staggered5D.Po
	-rm -f ./$(DEPDIR)/Test_staggered5Dvec.Po
	-rm -f ./$(DEPDIR)/Test_staggered5DvecF.Po
	-rm -f ./$(DEPDIR)/Test_staggered_naive.Po
	-rm -f ./$(DEPDIR)/Test_unary.Po
	-rm -f ./$(DEPDIR)/Test_uvm.Po
	-rm -f ./$(DEPDIR)/Test_where.Po
	-rm -f ./$(DEPDIR)/Test_where_extended.Po
	-rm -f ./$(DEPDIR)/Test_wilson_clover.Po
	-rm -f ./$(DEPDIR)/Test_wilson_conserved_current.Po
	-rm -f ./$(DEPDIR)/Test_wilson_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_wilson_exp_clover.Po
	-rm -f ./$(DEPDIR)/Test_wilson_twisted_mass_even_odd.Po
	-rm -f ./$(DEPDIR)/Test_zmobius_even_odd.Po
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

tests: tests-am

tests-am: tests-local

uninstall-am:

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles bench-am bench-local \
	check check-am clean clean-generic cscopelist-am ctags \
	ctags-am distclean distclean-compile distclean-generic \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
	tags tags-am tests-am tests-local uninstall uninstall-am

.PRECIOUS: Makefile

tests-local: Test_GaugeAction Test_RectPlaq Test_cf_coarsen_support Test_checker Test_compact_wilson_clover_speedup Test_contfrac_even_odd Test_cshift_red_black Test_cshift_red_black_rotate Test_cshift_rotate Test_dwf_eofa_even_odd Test_dwf_even_odd Test_fft Test_fft_gfix Test_fft_pf Test_fftf Test_gamma Test_gparity Test_gparity_flavour Test_gpwilson_even_odd Test_lie_generators Test_main Test_memory_manager Test_mobius_eofa_even_odd Test_mobius_even_odd Test_poisson_fft Test_prec_change Test_qed Test_quenched_update Test_reunitarise Test_rng Test_rng_fixed Test_sliceSum Test_staggered Test_staggered5D Test_staggered5Dvec Test_staggered5DvecF Test_staggered_naive Test_unary Test_uvm Test_where Test_where_extended Test_wilson_clover Test_wilson_conserved_current Test_wilson_even_odd Test_wilson_exp_clover Test_wilson_twisted_mass_even_odd Test_zmobius_even_odd 

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

# Tell GNU make to disable its built-in pattern rules.
%:: %,v
%:: RCS/%,v
%:: RCS/%
%:: s.%
%:: SCCS/s.%
